import { FormBooleanSelectFieldWidget } from '../../form';
export declare class DetailBooleanSelectFieldWidget extends FormBooleanSelectFieldWidget {
    initialize(props: any): this;
    protected get displayNameList(): import("@oinone/kunlun-engine").RuntimeEnumerationOption[] | undefined;
    protected get optionColor(): boolean;
    protected get optionColorStyle(): any;
    protected get displayNameListStr(): string | undefined;
}
/**
 * @deprecated please using DetailBooleanSelectFieldWidget
 */
export declare const DetailBoolEnumOptionFieldWidget: typeof DetailBooleanSelectFieldWidget;
